Page MenuHomePhabricator

Fix use of 'is' operator for comparison
AbandonedPublic

Authored by tambre on May 4 2019, 1:59 AM.

Details

Reviewers
zturner
labath
Summary

The 'is' operator is not meant to be used for comparisons. It currently working is an implementation detail of CPython.
CPython 3.8 has added a SyntaxWarning for this.

Diff Detail

Repository
rLLDB LLDB

Event Timeline

tambre created this revision.May 4 2019, 1:59 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 4 2019, 1:59 AM
labath accepted this revision.May 5 2019, 9:07 AM
This revision is now accepted and ready to land.May 5 2019, 9:07 AM
tambre abandoned this revision.Apr 3 2020, 2:24 AM

Why did you abandon this?

Why did you abandon this?

It's been lingering for a long time, so I wanted to get it off my dashboard.
The patch also requires updating as the file has moved.

I rewrote this test in acb0b99c8e4f1dc65a7f1e26da9db77239a67da7 so this isn't necessary anymore. Thanks for the patch though!